apt: pkgAcqMetaClearSig Class Reference

apt 2.7.5 commandline package manager

Public Member Functions | Public Attributes | List of all members
pkgAcqMetaClearSig Class Reference
Acquire system {{{

An item responsible for downloading clearsigned metaindexes {{{. More...

`#include <apt-pkg/acquire-item.h>`

Inheritance diagram for pkgAcqMetaClearSig:

## Public Member Functions
virtual void | Failed (std::string const &Message, pkgAcquire::MethodConfig const *const Cnf) APT_OVERRIDE
virtual std::string | Custom600Headers () const APT_OVERRIDE
virtual bool | VerifyDone (std::string const &Message, pkgAcquire::MethodConfig const *const Cnf) APT_OVERRIDE
virtual void | Done (std::string const &Message, HashStringList const &Hashes, pkgAcquire::MethodConfig const *const Cnf) APT_OVERRIDE
virtual void | Finished () APT_OVERRIDE
void | QueueIndexes (bool const verify)
| Starts downloading the individual index files.
| pkgAcqMetaClearSig (pkgAcquire *const Owner, IndexTarget const &ClearsignedTarget, IndexTarget const &DetachedDataTarget, IndexTarget const &DetachedSigTarget, metaIndex *const MetaIndexParser)
| Create a new pkgAcqMetaClearSig.
Public Member Functions inherited from pkgAcqMetaIndex
virtual std::string | DescURI () const APT_OVERRIDE
| pkgAcqMetaIndex (pkgAcquire *const Owner, pkgAcqMetaClearSig *const TransactionManager, IndexTarget const &DataTarget, IndexTarget const &DetachedSigTarget) APT_NONNULL(2
| Create a new pkgAcqMetaIndex.
Public Member Functions inherited from pkgAcqMetaBase
virtual bool | QueueURI (pkgAcquire::ItemDesc &Item) APT_OVERRIDE
virtual HashStringList | GetExpectedHashes () const APT_OVERRIDE
virtual bool | HashesRequired () const APT_OVERRIDE
void | Add (pkgAcqTransactionItem *const I)
void | AbortTransaction ()
bool | TransactionHasError () const
void | CommitTransaction ()
void | TransactionStageCopy (pkgAcqTransactionItem *const I, const std::string &From, const std::string &To)
| Stage (queue) a copy action when the transaction is committed.
void | TransactionStageRemoval (pkgAcqTransactionItem *const I, const std::string &FinalFile)
| Stage (queue) a removal action when the transaction is committed.
virtual std::string | GetFinalFilename () const APT_OVERRIDE
| Get the full pathname of the final file for the current URI.
| pkgAcqMetaBase (pkgAcquire *const Owner, pkgAcqMetaClearSig *const TransactionManager, IndexTarget const &DataTarget) APT_NONNULL(2
Public Member Functions inherited from pkgAcqTransactionItem
virtual std::string | GetMetaKey () const
virtual bool | AcquireByHash () const
| pkgAcqTransactionItem (pkgAcquire *const Owner, pkgAcqMetaClearSig *const TransactionManager, IndexTarget const &Target) APT_NONNULL(2

## Public Attributes
metaIndex * | MetaIndexParser
| A package-system-specific parser for the meta-index file.
metaIndex * | LastMetaIndexParser
Public Attributes inherited from pkgAcqMetaBase
bool | IMSHit
TransactionStates | State
std::string | BaseURI
Public Attributes inherited from pkgAcqTransactionItem
IndexTarget const | Target
std::string | PartialFile
| storge name until a transaction is finished
pkgAcqMetaClearSig *const | TransactionManager
| TransactionManager.

## Additional Inherited Members
Public Types inherited from pkgAcqTransactionItem
enum | TransactionStates { TransactionStarted , TransactionCommit , TransactionAbort }
Protected Member Functions inherited from pkgAcqMetaIndex
void | Init (std::string const &URIDesc, std::string const &ShortDesc)
| delayed constructor
Protected Member Functions inherited from pkgAcqMetaBase
bool | CheckDownloadDone (pkgAcqTransactionItem *const I, const std::string &Message, HashStringList const &Hashes) const
| Called when a file is finished being retrieved.
void | QueueForSignatureVerify (pkgAcqTransactionItem *const I, std::string const &File, std::string const &Signature)
| Queue the downloaded Signature for verification.
bool | CheckAuthDone (std::string const &Message, pkgAcquire::MethodConfig const *const Cnf)
| Called when authentication succeeded.
bool | CheckStopAuthentication (pkgAcquire::Item *const I, const std::string &Message)
bool | VerifyVendor (std::string const &Message)
| Check that the release file is a release file for the correct distribution.
virtual bool | TransactionState (TransactionStates const state) APT_OVERRIDE
Protected Member Functions inherited from pkgAcqTransactionItem
HashStringList | GetExpectedHashesFor (std::string const &MetaKey) const
bool | QueueURI (pkgAcquire::ItemDesc &Item) APT_OVERRIDE
Protected Attributes inherited from pkgAcqMetaIndex
IndexTarget const | DetachedSigTarget
Protected Attributes inherited from pkgAcqMetaBase
std::vector< pkgAcqTransactionItem * > | Transaction
bool | AuthPass
| If true, the index's signature is currently being verified.

## Detailed Description

An item responsible for downloading clearsigned metaindexes {{{.

## Member Function Documentation

## ◆ Custom600Headers()

string Custom600Headers | ( |  | ) | const
| virtual

Reimplemented from pkgAcqMetaBase.

## ◆ Done()

void Done | ( | std::string const & | Message,
|  | HashStringList const & | Hashes,
|  | pkgAcquire::MethodConfig const *const | Cnf
| ) |  |
| virtual

Reimplemented from pkgAcqMetaIndex.

## ◆ Failed()

void Failed | ( | std::string const & | Message,
|  | pkgAcquire::MethodConfig const *const | Cnf
| ) |  |
| virtual

Reimplemented from pkgAcqMetaIndex.

## ◆ QueueIndexes()

void QueueIndexes | ( | bool const | verify | ) |

Starts downloading the individual index files.

Parameters

  verify | If true, only indices whose expected hashsum can be determined from the meta-index will be downloaded, and the hashsums of indices will be checked (reporting #StatAuthError if there is a mismatch). If verify is false, no hashsum checking will be performed.

References IndexTarget::Description, HashStringList::empty(), metaIndex::Exists(), HashStringList::FileSize(), IndexTarget::IsOptional, MetaIndexParser, IndexTarget::MetaKey, IndexTarget::Options, pkgAcqTransactionItem::TransactionManager, IndexTarget::URI, and HashStringList::usable().

Referenced by pkgAcqMetaBase::CheckAuthDone(), and pkgAcqMetaSig::Failed().

The documentation for this class was generated from the following files:

- apt-pkg/acquire-item.h
- apt-pkg/acquire-item.cc